Bug 432868 - New image initially unsharp when switching between images
New image initially unsharp when switching between images
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 15:40 EST by Sigrid Philippsen
Modified: 2010-06-30 10:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 16:53:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 343856 None None None Never

  None (edit)
Description Sigrid Philippsen 2008-02-14 15:40:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
When I switch between images in fullscreen mode or when editing images, the new image is initially very unsharp and only gets better after a slight delay. This is a bit uncomfortable to look at because my eyes try to adjust focus on the unsharp image which is obviously futile.

Version-Release number of selected component (if applicable):
f-spot-0.4.0-3.fc8

How reproducible:
Always


Steps to Reproduce:
1. Start f-spot with a collection of images
2. Switch to fullscreen mode
3. Look at the images one after another, e.g. by pressing the space bar or arrow keys

Actual Results:
Each new image is unsharp for a short time.

Expected Results:
A new image is sharp from the beginning. Even if its displaying takes longer it would be more comfortable to look at.

Additional info:
Comment 1 Nigel Jones 2008-07-15 06:31:51 EDT
I've built 0.4.3.1 as a potential update for Fedora 8, while it's not in the
updates-testing repository yet, you can grab the RPM from
http://kojipkgs.fedoraproject.org/packages/f-spot/0.4.3.1/1.fc8/ would you
please be able to check if you can still reproduce the bug?
Comment 2 Sigrid Philippsen 2008-07-18 03:48:59 EDT
We're on Fedora 9 now and have checked f-spot-0.4.3.1-1.fc9.x86_64 which shows
the same behaviour as f-spot-0.4.2-5.fc9.x86_64 which we had before.
Comment 3 Bug Zapper 2009-06-09 19:33:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Nils Philippsen 2009-06-10 11:07:57 EDT
I still see this on Fedora 11 with f-spot-0.5.0.3-8.fc11.x86_64.
Comment 5 Christian Krause 2009-07-31 18:51:38 EDT
(In reply to comment #4)
> I still see this on Fedora 11 with f-spot-0.5.0.3-8.fc11.x86_64.  

I've discussed the issue with upstream:

The progressive load is a feature to make sure that the user immediately sees at least a blurry picture when displaying a large image or working on a slow machine (which is better than a black screen or an unresponsive UI).

Please see the discussion in the associated bug in upstream's bug tracker.
Comment 6 Nils Philippsen 2009-08-01 03:16:43 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > I still see this on Fedora 11 with f-spot-0.5.0.3-8.fc11.x86_64.  
> 
> I've discussed the issue with upstream:
> 
> The progressive load is a feature to make sure that the user immediately sees
> at least a blurry picture when displaying a large image or working on a slow
> machine (which is better than a black screen or an unresponsive UI).
> 
> Please see the discussion in the associated bug in upstream's bug tracker.  

The point of this bug is rather: "The user doesn't want to see a _blurry_ picture because it makes her feel dizzy". Waiting for the image to display isn't that much of a problem, we already know that experience from presentations in Open Office ;-). Of course, pre-caching the next image and immediate display as described in the upstream bug http://bugzilla.gnome.org/show_bug.cgi?id=343856 would also solve this problem.
Comment 7 Christian Krause 2009-08-02 18:56:42 EDT
> The point of this bug is rather: "The user doesn't want to see a _blurry_
> picture because it makes her feel dizzy". Waiting for the image to display
> isn't that much of a problem, we already know that experience from
> presentations in Open Office ;-). Of course, pre-caching the next image and
> immediate display as described in the upstream bug
> http://bugzilla.gnome.org/show_bug.cgi?id=343856 would also solve this problem.  

Basically there are 2 options to solve the problem of the slow loading of images (for now):
- display the blurry picture (chosen by upstream)
- display a black window/just wait until the new image is ready (requested by you and the bug author)

Both options have their pros and cons and I don't want to overrule upstream's decision unless it would be really necessary...

Right now I'm actively communicating the problem with upstream.
Comment 8 Nils Philippsen 2009-08-03 04:17:43 EDT
(In reply to comment #7)
> > The point of this bug is rather: "The user doesn't want to see a _blurry_
> > picture because it makes her feel dizzy". Waiting for the image to display
> > isn't that much of a problem, we already know that experience from
> > presentations in Open Office ;-). Of course, pre-caching the next image and
> > immediate display as described in the upstream bug
> > http://bugzilla.gnome.org/show_bug.cgi?id=343856 would also solve this problem.  
> 
> Basically there are 2 options to solve the problem of the slow loading of
> images (for now):
> - display the blurry picture (chosen by upstream)
> - display a black window/just wait until the new image is ready (requested by
> you and the bug author)

2 more:
- display e.g. a progress bar or throbber of some sort like eog
- make loading quicker (e.g. by preloading the image) ;-)

Eog has both, it not only has a progressbar except when in fullscreen, but also loads 10mpx images in fractions of a second.

> Both options have their pros and cons and I don't want to overrule upstream's
> decision unless it would be really necessary...
> 
> Right now I'm actively communicating the problem with upstream.  

Thanks, I appreciate that.

Mind, we're not against some kind of feedback that an image is being loaded (even with pre-loading you might flip too quickly through your images), our problem is that the blurred preview really makes your head spin when flipping through a number of pictures (e.g. after returning from a vacation when sorting out which ones you're gonna keep). It would be nice if you could just switch off the blurred preview if you have that problem with it.
Comment 9 Bug Zapper 2010-04-27 07:54:56 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 06:32:28 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Nils Philippsen 2010-06-28 12:32:30 EDT
This problem is still present in F-13.
Comment 12 Christian Krause 2010-06-28 16:53:08 EDT
(In reply to comment #11)
> This problem is still present in F-13.    

Yes, but there is really not much what can be done here by the packagers:

- that kind of image loading is a deliberate decision of upstream
- it is not a major show-stopper nor a security problem
- there is an upstream bug report http://bugzilla.gnome.org/show_bug.cgi?id=343856
- I have ping'ed upstream again about the current status (by email)

So since I can't do very much here, I'll close this bug report as UPSTREAM. I'm subscribed to the upstream report and if there is any patch available, I'll build a new Fedora package.
Comment 13 Ruben Vermeersch 2010-06-30 10:16:57 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > This problem is still present in F-13.    
> 
> Yes, but there is really not much what can be done here by the packagers:
> 
> - that kind of image loading is a deliberate decision of upstream

A rather bad decision by the way. One that's pretty high up on the list of solving (but doing that properly is a bit of work).

   Ruben (F-Spot Maintainer)

Note You need to log in before you can comment on or make changes to this bug.